Loading...
Searching...
No Matches
decaf::EdDSA< Ristretto >::Verification< CRTP, PREHASHED > Class Reference

Verification (i.e. More...

`#include <ed255.hxx>`

## Public Member Functions

decaf_error_t DECAF_WARN_UNUSED | verify_prehashed_noexcept (const FixedBlock< DECAF_EDDSA_25519_SIGNATURE_BYTES > &sig, const Prehash &ph) const
| Verify that a signature is valid for a given prehashed message, given the context.
void | verify_prehashed (const FixedBlock< DECAF_EDDSA_25519_SIGNATURE_BYTES > &sig, const Prehash &ph) const
| Verify that a signature is valid for a given prehashed message, given the context.
void | verify_with_prehash (const FixedBlock< DECAF_EDDSA_25519_SIGNATURE_BYTES > &sig, const Block &message, const Block &context=NO_CONTEXT()) const
| Hash and verify a message, using the prehashed verification mode.

## Detailed Description

Verification (i.e.

public) EdDSA key, prehashed version.

The documentation for this class was generated from the following file:

- src/GENERATED/include/decaf/ed255.hxx